# Generated by Django 4.0.3 on 2023-07-20 18:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shoes_rest', '0008_bin_import_href'),
    ]

    operations = [
        migrations.CreateModel(
            name='BinVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_href', models.CharField(default=False, max_length=100, unique=True)),
                ('name', models.CharField(default=False, max_length=100)),
            ],
        ),
        migrations.AlterModelOptions(
            name='shoe',
            options={},
        ),
        migrations.AlterField(
            model_name='shoe',
            name='bin',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='shoe', to='shoes_rest.binvo'),
        ),
        migrations.DeleteModel(
            name='Bin',
        ),
    ]
